<?php

namespace FiloBlu\Storelocator\Model\Plugin\Rma;


use FiloBlu\Storelocator\Helper\Data;
use Magento\Framework\Controller\ResultFactory;
use Magento\Framework\App\RequestInterface;

class RmaSubmit
{
    /**
     * @var ResultFactory
     */
    protected $resultFactory;
    /**
     * @var Data
     */
    protected $helper;
    /**
     * @var RequestInterface
     */
    protected $request;

    public function __construct(
        ResultFactory $resultFactory,
        RequestInterface $request,
        Data $helper
    )
    {
        $this->resultFactory = $resultFactory;
        $this->helper = $helper;
        $this->request = $request;
    }

    public function afterExecute(\Magento\Rma\Controller\Returns\Submit $subject, $result) {

        if (!$this->helper->getReturnToStoreEnabled()) {
            return $result;
        }


        if (!$this->request->getParam('rma_returntostore_store_id')) {
            return $result;
        }

        $isAjax = $subject->getRequest()->getParam('ajax');

        if ($isAjax) {
            $resultJson = $this->resultFactory->create(ResultFactory::TYPE_JSON);
            $resultJson->setData(['message' => __('Rma created sccessfully!'), "success" => true]);

            return $resultJson;
        }

        return $result;
    }
}